Bug 380761 - Installing "redhatELAS4.0WithU2-64", "redhatELAS4.0With-64" , "redhatELAS4.0WithU1-64" gives kernel panic error
Installing "redhatELAS4.0WithU2-64", "redhatELAS4.0With-64" , "redhatELAS4.0W...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.2
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 14:31 EST by Nilesh
Modified: 2012-06-20 12:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:10:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel_panic_error_screenshot (21.14 KB, image/png)
2007-11-13 14:31 EST, Nilesh
no flags Details

  None (edit)
Description Nilesh 2007-11-13 14:31:35 EST
if I install "redhatELAS4.0WithU2-64". It will ask to verify the CD. And then
after it will run anaconda installer. And after that it will give the kernel
panic error as described below. 

**Error Description :
ACPI wakeup devices:
 USB
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
Unable to handle kernel paging request at 0000000000369e99 RIP:
<ffffffff802176cb>{strnlen+12}
PML4 dac4067 PGD d8fa067 PMD 0
Oops: 0000 [1]
CPU 0
Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod ext3 jbd msdos raid6
raid5 xor raid1 raid0 mptscsih mptbase e1000 sr_mod sd_mod scsi_mod edd floppy
loop nfs lockd sunrpc vfat fat cramfs vga16fb vgastate

Reproducibility: 100 %

**Work-around: 
If you use redhatELAS4.0WithU3-64 and up on same m/c, You will not get into this
error.


Version-Release number of selected component (if applicable): It is happening on
"redhatELAS4.0With-64", "redhatELAS4.0WithU1-64", "redhatELAS4.0WithU2-64"



Expected results: It should not kernel panic when installed the above OSes.


Pls. find the uploaded kernel panic error screen.
Comment 1 Nilesh 2007-11-13 14:31:35 EST
Created attachment 257301 [details]
Kernel_panic_error_screenshot
Comment 2 Linda Wang 2007-11-15 16:22:42 EST
Can you provide us the stack trace back when the panic happened?

Also, based on comment#1, it looks like the m/c support is in U3, therefore, our
recommendation is to upgrade to RHEL4 Update 3 or higher. 
Comment 3 Nilesh 2007-11-16 14:39:58 EST
powernow-k8: Processor cpuid 100f22 not supported

ACPI: (supports S0 S1 S4 S5)

ACPI wakeup devices:

 USB

md: Autodetecting RAID arrays.

md: autorun ...

md: ... autorun DONE.

RAMDISK: Compressed image found at block 0

VFS: Mounted root (ext2 filesystem).

Unable to handle kernel paging request at 0000000000369e99 RIP:

<ffffffff802176cb>{strnlen+12}

PML4 dac4067 PGD d8fa067 PMD 0

Oops: 0000 [1]

CPU 0

Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod ext3 jbd msdos raid6 
raid5 xor raid1 raid0 mptscsih mptbase e1000 sr_mod sd_mod scsi_mod edd floppy 
loop nfs lockd sunrpc vfat fat cramfs vga16fb vgastate

Pid: 268, comm: anaconda Not tainted 2.6.9-22.EL

RIP: 0010:[<ffffffff802176cb>] <ffffffff802176cb>{strnlen+12}

RSP: 0018:000001000da93d40 EFLAGS: 00010297

RAX: 0000000000369e99 RBX: 000001000da93d98 RCX: 000000000000000a

RDX: 000001000da93dc8 RSI: fffffffffffffffe RDI: 0000000000369e99

RBP: 0000000000369e99 R08: 00000000ffffffff R09: 0000000000000000

R10: 0000000000000000 R11: 0000000000000000 R12: 00000100015e9173

R13: 00000000ffffffff R14: 0000000000000000 R15: 00000100015e9fff

FS: 0000000000501ae0(005b) GS:ffffffff80533900(0000) knlGS:0000000000000000

CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b

CR2: 0000000000369e99 CR3: 0000000000101000 CR4: 00000000000006e0

Process anaconda (pid: 268, threadinfo 000001000da92000, task 000001000da5f2d0)

Stack: ffffffff80217f6d 0000000000000e8e 00000100015e9172 ffffffff80377a38

       000001000bb89c80 00000000000000a5 000001000bb89c80 ffffffff80420fa8

       0000007fbfff8d20 0000000000000000

Call Trace:<ffffffff80217f6d>{vsnprintf+848} <ffffffff801b4c44>{seq_printf+165}

       <ffffffff801fd4da>{inode_has_perm+89} <ffffffff80116df5>{show_cpuinfo+90}

       <ffffffff80116eb2>{show_cpuinfo+279} <ffffffff801b4779>{seq_read+266}

       <ffffffff8018bd86>{vfs_read+207} <ffffffff8018bfdd>{sys_read+69}

       <ffffffff801108de>{system_call+126}


Code: 80 3f 00 74 11 48 ff ce 48 ff c0 48 83 fe ff 74 05 80 38 00

RIP <ffffffff802176cb>{strnlen+12} RSP <000001000da93d40>

CR2: 0000000000369e99

 <0>Kernel panic - not syncing: Oops
Comment 4 Jiri Pallich 2012-06-20 12:10:25 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.